[release] Trinity-Exploit für die Firmware 3.69 & 3.70 by TheFloW

  • Trinity-Exploit für die Firmware 3.69 & 3.70 by TheFloW



    Es ist soweit, der Dritte öffentliche Hack wurde released! Dieser Hack supported die neusten Firmwares 3.69 und 3.70. Die Exploit-Kette besteht aus 3 Phasen: dem MIPS Kernel Exploit, dem PSP Emulator Escape und dem ARM Kernel Exploit. Damit solltet Ihr nun wieder die Möglichkeit haben Eure PS Vita auf der aktuellsten Firmware zu hacken und Homebrew zu starten.


    Vorraussetzungen für den Trinity-Exploit:

    • Eure Vita muss auf der Firmware 3.69 oder 3.70 sein.
    • Wenn Ihr eine PHAT OLED VITA habt müsst Ihr zwingend eine originale Memory Card haben. Bei der SLIM und dem PSTV wird das nicht benötigt.
    • Die Vita muss sich ins PSN einloggen können. Das heißt, dass ein PSN-fähiger Account auf der Vita hinterlegt sein muss!


    Vorbereitung zum erfolgreichen Hacken der Vita:


    Wie in der Ankündigung 30.03.19 [Ankündigung] Bitte Lesen! bei Interesse am Jailbreak für die Firmware 3.69 & 3.70 by TheFloW bereits erwähnt müsst Ihr folgendes machen:


    1. Wenn Ihr auf der Firmware 3.69 seit habt Ihr 2 Möglichkeiten:

    • Updated auf Firmware 3.70 - geht dazu auf Einstellungen - System Update
    • Oder setzt Eure DNS auf 212.47.229.76, dazu geht Ihr in die Einstellungen - Netzwerk - WiFi Einstellungen - Euer Access Point - Erweiterte Einstellungen und setzt DNS Einstellungen von "automatisch" auf "manuell". Dort die Primäre DNS auf 212.47.229.76

    2. Registriert einen PSN Account, wenn Ihr das nicht bereits gemacht habt. (Denkt dran das maximal 3 Geräte mit einem PSN Account aktiviert werden können)


    3. Ladet und installiert Euch irgendein PSP/Mini Game (PSone Classics funktionieren nicht). Es gibt Demos die funktionieren aber nicht in jeder Region verfügbar sind. Hier ein Beispiel:

    • EU/UK: Ape Quest
    • NA/SG: LocoRoco Midnight Carnival
    • JP: YS seven

    Wenn Ihr kein Demo finden könnt dann müsst Ihr Euch, wohl oder übel, ein PSP/Mini Game kaufen, oder Ihr registriert Euch einen neuen Account in den oben angegeben Regionen, sodass Ihr in den Genuß eines der genannten Demos kommt.


    4. Vergewissert Euch, dass Ihr das PSP Spiel installieren, starten und Spielen könnt.


    5. Ladet und installiert Euch qcma https://codestation.github.io/qcma/ und macht ein Backup von dem Spiel. Startet dazu den Inhaltsmanager und folgt den Anweisungen auf dem Bildschirm. Hier ein Mini-Tutorial: klick!


    Installation:
    [Tutorial] Trinity-Exploit auf der Vita mit Firmware 3.69 / 3.70 installieren - inkl. Downgrade


    Sourcecode & Readme
    https://github.com/TheOfficialFloW/Trinity
    Download & Release:
    https://github.com/TheOfficialFloW/Trinity/releases
    Exploit-Kette wurde veröffentlicht:
    https://theofficialflow.github.io/2019/06/18/trinity.html

  • Sehr schön !
    Nun kommen alle in den Genuss von einer gehackten PS Vita. :)
    & nun können alle Downgraden auf 3.60. ;)
    Oder auch nicht ?


    Ist das wie bei der PS3 ?
    Wenn neuere Modelle die Anfangsfirmware höher wie 3.60 war, dass man dann nicht auf 3.60 downgraden kann & dann brickt ?


    Okay es geht leider nicht... Sehr schade für manche.


    Q: My factory firmware is higher than 3.65 and modoru doesn't allow me to downgrade to 3.60/3.65.
    A: Unfortunately, there are some devices with factory firmware above 3.65. These cannot be downgraded (yet). This means no bootloader hack for you.


  • Oder auch nicht ?

    ja selbstverständlich! modoru 4 the Win :-) Downgrade ist sogar zu empfehlen!



    Das mit der minimalen Firmware ist leider so. Aber das sind nicht sooo viele Geräte! Die meisten haben zumindest Zugang zu 3.65!

  • Schönen guten abend zusammen. Bin ein totaler Noob in der Vita Szene war vor Jahren nur mit der PSP beschäftigt. Habe heute den Trinity Jailbreak erfolgreich durchgeführt. Nun die grosse Frage was würdet ihr mir empfehlen downgrade auf 3.60 / 3.65 da viele drauf schwören oder bei 3.70 bleiben. Was mich persönlich reizt ist "sd2vita" die wie ich es verstanden habe nur bis 3.65 funktioniert!?

  • Wenn du bis zur 3.60 downgraden kannst dann nimm die 3.60 & hau dann Enso drauf & dann Spoofer auf 3.70 einstellen & fertig ist. ;)

  • Danke für die Antworten soweit !! Muss mich echt mal so durch forschen durch die vielen Beiträge und Anleitungen. Dann mal eine gute Nacht in die Runde

  • welche vorteile hat 3.60

    Erstmal keine! Aber auch nicht ein Nachteil!
    Wie ich bereits geschrieben habe, ist 3.65 Enso eine Portierung von dem ursprünglichen 3.60 und kein Eigenständiger Enso Hack!


    Die vitasdk unterstützt NUR die Firmware 3.60 offiziell und somit muss jedes Kernel Plugin für 3.65 und höher erneut erstellt werden! Ich zitiere dazu yifanlu:

    Quote from yifanlu

    Since nobody cares about homebrew, I’d like to interject that the vitasdk only supports 3.60 officially. Any kernel plugin has to be manually rebuilt for future firmware support with some hacky patches.

    Wenn Du so willst ist 3.60 die Mutter aller Hacks und ist und bleibt damit die Grundlage für alles weitere was darauf on Top gekommen ist: Enso 3.65, h-encore, Trinity Exploit...so on.


    Außerdem gibt es immernoch Plugins, welche NUR auf der Firmware 3.60 laufen.

  • Bin auf der 3.65 mit h-encore, habe auch sd2vita nach Anleitung hier im forum gemacht, bis jetzt sind mir keine Nachteile zur 3.60 aufgefallen... Läuft alles wie es soll, bis jetzt auch nie Probleme gehabt mit irgend welchen plug ins...

  • Ich bleibe immer noch bei 3.60. Was bringt es weiter die PS Vita auf höhere Firmware zu Updaten? Die neuen Top Spiele werden nicht mehr erscheinen. Mit gehacktem CFW würde ich nicht mal versuchen PSN einzuloggen. Wenn Sony den PSN Account bannt kann ich nicht mehr online gehen sondern ich verliere auch einige gekauften Artikeln.


    Und nebenbei liegt PS Vita seit fast 2 Jahren im Schublade unbenutzt rum, da gibts nichts neues.

  • Das liegt wahrscheinlich daran, dass es für eine höhere Firmware entwickelt wurde.


    Das Problem sollte entweder mit rePatch reDux oder reF00D behoben sein


    ich würde reF00D empfehlen!
    [release] #reF00D Apps und Spiele ohne Comp Packs starten

  • Ich bin auch immernoch auf 3.60 und im Gegensatz zur PS3 sehe ich bei der PSVita/PSTV auch keinen wirklichen Grund für eine höhere FW.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!